# Windows 10 with Boost and Exprtk 
# downloaded and compiled locally as
# submodules and linked statically
win_visual_studio_static_deps:
    tags:
        - Win

    before_script:
        - call VsDevCmd.bat
        - cd build_scripts\windows
        - call win_download_dependencies.bat
        - cd ..\..
        - cd build_scripts\windows
        - set DEPENDENCIES_LINK_TYPE=static
        - call win_VS_build_x64_debug.bat
        - dir ..\..\external_dependencies\boost\stage\lib

    script:
        - call win_run_tests.bat

# Windows 10 with Boost and Exprtk 
# downloaded and compiled locally as
# submodules and link dynamically
#
# CURRENTLY NOT SUPPORTED!
#win_visual_studio_shared_deps:
#    tags:
#        - Win
#
#    before_script:
#        - call VsDevCmd.bat
#        - cd build_scripts\windows
#        - call win_download_dependencies.bat
#        - cd ..\..
#        - cd build_scripts\windows
#        - set DEPENDENCIES_LINK_TYPE=shared
#        - call win_VS_build_x64_debug.bat
#
#    script:
#        - call win_run_tests.bat
#
#
# Latest Ubuntu with Boost and Exprtk
# in system directories, Boost
# installed from the official repository
# => only dynamical linking possible
#ubuntu_boost_system:
#    tags:
#        - centos7
#
#    image: martinbeseda/dockertest:latest
#
#    before_script:
#        - rm -rf external_dependencies
#        - git clone https://github.com/ArashPartow/exprtk.git
#        - cp exprtk/exprtk.hpp /usr/include
#        - export TERM=xterm
#        - cd build_scripts/linux
#        - export DEPENDENCIES_LINK_TYPE=shared
#        - ./linux_gcc_build_x64_debug_system.sh
#
#    script:
#        - './linux_run_tests.sh'
#
## Latest Ubuntu with Boost and Exprtk
## compiled locally as submodules and
## linked statically
#ubuntu_boost_local_static_deps:
#    tags:
#        - centos7
#
#    image: martinbeseda/ubuntu-ci:latest
#
#    before_script:
#        - cd build_scripts/linux
#        - ./download_dependencies.sh
#        - cd ../..
#        - cd build_scripts/linux
#        - export DEPENDENCIES_LINK_TYPE=static
#        - ./linux_gcc_build_x64_debug_local.sh
#
#    script:
#        - './linux_run_tests.sh'
#
## Latest Ubuntu with Boost and Exprtk
## compiled locally as submodules and
## linked dynamically
#ubuntu_boost_local_dynamic_deps:
#    tags:
#        - centos7
#
#    image: martinbeseda/ubuntu-ci:latest
#
#    before_script:
#        - cd build_scripts/linux
#        - ./download_dependencies.sh
#        - cd ../..
#        - cd build_scripts/linux
#        - export DEPENDENCIES_LINK_TYPE=shared
#        - ./linux_gcc_build_x64_debug_local.sh
#
#    script:
#        - './linux_run_tests.sh'


#code_quality:
#  image: docker:stable
#  variables:
#    DOCKER_DRIVER: overlay2
#  allow_failure: true
#  services:
#    - docker:stable-dind
#  script:
#    - export SP_VERSION=$(echo "$CI_SERVER_VERSION" | sed 's/^\([0-9]*\)\.\([0-9]*\).*/\1-\2-stable/')
#    - docker run
#        --env SOURCE_CODE="$PWD"
#        --volume "$PWD":/code
#        --volume /var/run/docker.sock:/var/run/docker.sock
#        "registry.gitlab.com/gitlab-org/security-products/codequality:$SP_VERSION" /code
#  artifacts:
#    paths: [gl-code-quality-report.json]
